PCP-NETSTAT(1)

NAME
pcp-netstat - Report statistics for different network protocols and network interfaces.

SYNOPSIS
pcp [pcp options] netstat [--statistics] [-p [TCP|IP|UDP|ICMP]] [-i] [-s samples] [-a archive] [-S start_time] [-T end_time]

DESCRIPTION
The pcp-netstat command is used for viewing the different kinds of statistics related to the network protocols and the network interfaces. This tool is useful for checking the status of your network interfaces, network connections and for troubleshooting network issues. This tool can also be used to analyze network statistics for all available protocols, including TCP, UDP, ICMP, and IP protocols.

By default pcp-netstat reports live data for the local host. It has the capabilities to analyze the data on the archives as well.

OPTIONS

--statistics
    shows output similar to netstat -s, which displays summary statistics for each protocol

-i  shows output similar to netstat -i -a -n, which displays a table of all network interfaces

-p, --TCP|IP|UDP|ICMP
    filter network statistics specific to a protocol

-a file, --archive=file
    Fetch /proc/netstat for a specified archive file

-s count, --samples=count
    Get the network statistics for specified number of samples count

-S, --start=time
    Filter the samples from the archive from the given time

-T, --finish=time
    Filter the samples from the archive until the given time

-V, --version
    Display version number and exit.

-?, --help
    Display usage message and exit.

PCP ENVIRONMENT
Environment variables with the prefix PCP_ are used to parameterize the file and directory names used by PCP. On each installation, the file /etc/pcp.conf contains the local values for these variables. The $PCP_CONF variable may be used to specify an alternative configuration file, as described in pcp.conf(5).

For environment variables affecting PCP tools, see pmGetOptions(3).

SEE ALSO
PCPIntro(1), pcp(1), pmParseInterval(3) and environ(7).